<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__bcsc__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_bcsc_config_t</compoundname>
    <includes local="no">cy_ble_bcs.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__bcsc__config__t_1a3766a0eb861c9095ac8dba3cbd03c967" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__bcsc__t">cy_stc_ble_bcsc_t</ref> *</type>
        <definition>cy_stc_ble_bcsc_t* cy_stc_ble_bcsc_config_t::attrInfo</definition>
        <argsstring />
        <name>attrInfo</name>
        <briefdescription>
<para>Structure with Discovered Attributes Information. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bcs.h" bodystart="118" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bcs.h" line="118" />
      </memberdef>
      <memberdef id="structcy__stc__ble__bcsc__config__t_1a58d87c8b7034b443160f74ba03b3d5d3" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_bcsc_config_t::serviceDiscIdx</definition>
        <argsstring />
        <name>serviceDiscIdx</name>
        <briefdescription>
<para>The Discovery Service index. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bcs.h" bodystart="121" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bcs.h" line="121" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Service Configuration structure (client) </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="141">
        <label>cy_stc_ble_bcsc_t</label>
        <link refid="structcy__stc__ble__bcsc__t" />
        <childnode refid="142" relation="usage">
          <edgelabel>charInfo</edgelabel>
        </childnode>
      </node>
      <node id="140">
        <label>cy_stc_ble_bcsc_config_t</label>
        <link refid="structcy__stc__ble__bcsc__config__t" />
        <childnode refid="141" relation="usage">
          <edgelabel>attrInfo</edgelabel>
        </childnode>
      </node>
      <node id="142">
        <label>cy_stc_ble_bcsc_char_t</label>
        <link refid="structcy__stc__ble__bcsc__char__t" />
      </node>
    </collaborationgraph>
    <location bodyend="123" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bcs.h" bodystart="115" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bcs.h" line="116" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__bcsc__config__t_1a3766a0eb861c9095ac8dba3cbd03c967" virt="non-virtual"><scope>cy_stc_ble_bcsc_config_t</scope><name>attrInfo</name></member>
      <member prot="public" refid="structcy__stc__ble__bcsc__config__t_1a58d87c8b7034b443160f74ba03b3d5d3" virt="non-virtual"><scope>cy_stc_ble_bcsc_config_t</scope><name>serviceDiscIdx</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>